QueryBinder (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg.annotations
Class QueryBinder

    java.lang.Object
      org.hibernate.cfg.annotations.QueryBinder

    public abstract class QueryBinder

extends Object

Query binder

Constructor Summary
`QueryBinder()`

Method Summary
`static void` | `bindNativeQueries(NamedNativeQueries queriesAnn, Mappings mappings)`
`static void` | `bindNativeQueries(NamedNativeQueries queriesAnn, Mappings mappings, boolean isDefault)`
`static void` | `bindNativeQuery(NamedNativeQuery queryAnn, Mappings mappings)`
`static void` | `bindNativeQuery(NamedNativeQuery queryAnn, Mappings mappings, boolean isDefault)`
`static void` | `bindQueries(NamedQueries queriesAnn, Mappings mappings)`
`static void` | `bindQueries(NamedQueries queriesAnn, Mappings mappings, boolean isDefault)`
`static void` | `bindQuery(NamedQuery queryAnn, Mappings mappings)`
`static void` | `bindQuery(NamedQuery queryAnn, Mappings mappings, boolean isDefault)`
`static void` | `bindSqlResultsetMapping(SqlResultSetMapping ann, Mappings mappings, boolean isDefault)`
`static void` | `bindSqlResultsetMappings(SqlResultSetMappings ann, Mappings mappings, boolean isDefault)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryBinder

    public QueryBinder()

Method Detail

### bindQuery

    public static void bindQuery(NamedQuery queryAnn,
                                 Mappings mappings,
                                 boolean isDefault)

### bindNativeQuery

    public static void bindNativeQuery(NamedNativeQuery queryAnn,
                                       Mappings mappings,
                                       boolean isDefault)

### bindNativeQuery

    public static void bindNativeQuery(NamedNativeQuery queryAnn,
                                       Mappings mappings)

### bindQueries

    public static void bindQueries(NamedQueries queriesAnn,
                                   Mappings mappings,
                                   boolean isDefault)

### bindNativeQueries

    public static void bindNativeQueries(NamedNativeQueries queriesAnn,
                                         Mappings mappings,
                                         boolean isDefault)

### bindNativeQueries

    public static void bindNativeQueries(NamedNativeQueries queriesAnn,
                                         Mappings mappings)

### bindQuery

    public static void bindQuery(NamedQuery queryAnn,
                                 Mappings mappings)

### bindQueries

    public static void bindQueries(NamedQueries queriesAnn,
                                   Mappings mappings)

### bindSqlResultsetMappings

    public static void bindSqlResultsetMappings(SqlResultSetMappings ann,
                                                Mappings mappings,
                                                boolean isDefault)

### bindSqlResultsetMapping

    public static void bindSqlResultsetMapping(SqlResultSetMapping ann,
                                               Mappings mappings,
                                               boolean isDefault)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.